<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');

include_once(ROOT_DIR.'egWindow.class.php');

/**
 *
 *  @interface
 */
class egButton extends egWindow {
	var $icon;
	var $action;

	function egButton($id, $title, $posX = 0, $posY = 0, $width = 0, $height = 0, $action = null, $icon = null) {
		parent::egWindow($id, $title, $posX, $posY, $width, $height);
		$this->icon = $icon;
		$this->action = $action;
	}

	function getClassName() {
		return "egButton";
	}

	function getIcon() {
		return $this->icon;
	}

	function getAction() {
		return $this->action;
	}

	/**
 	 *
	 *  @abstract
	 */
	function getHTML() {
	}

	/**
 	 *
	 *  @abstract
	 */
	function getScriptsFiles() {
	}

	/**
 	 *
	 *  @abstract
	 */
	function getStylesFiles() {
	}
}
?>
